Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000457Dwarf FortressVegetationpublic2010-04-05 03:382017-05-17 14:52
ReporterKhym Chanur 
Assigned Tolethosor 
PrioritynormalSeverityminorReproducibilityhave not tried
Statusneeds feedbackResolutionopen 
Platformx86 (AMD Athlon 7550 Dual-Core)OSWineOS Version1.1.32
Product Version0.31.01 
Target VersionFixed in Version 
Summary0000457: Underground lakes/ponds: Mud and trees under 7/7 water
DescriptionAt the bottom of the underground lakes and pools, you'll have 7/7 water, "Muddy blah cavern floor", "A pile of mud", and sometimes bushes and trees. So the problem seems to be twofold:

1) The bottom of underground lakes/ponds can be covered in mud.
2) Underground trees can grow underwater so long as there's mud on the floor.
Steps To ReproduceBreak into a cavern, find the underground ponds/lakes, and look around in their bottoms. It might take a while to find it, but if the water has no flow then there should be a stationary white dobule-"~" where the trees are.
TagsFixed in 0.40.01?, trees, water
Attached Files

- Relationships
related to 0000866confirmedFootkerchief Underwater bleeding creature leaves track of blood (0.31.02) 
related to 0001567resolvedFootkerchief Trees don't burn in magma 
parent of 0001139new Plant grows in 7/7 water, blocks pump 
has duplicate 0001258closedFootkerchief Underwater trees in caverns 
has duplicate 0001391closedFootkerchief Underwater trees in cavern 
has duplicate 0007443resolvedFootkerchief Mushroom trees grow in water in caverns 
related to 0002013resolvedFootkerchief Shrubs and underground trees grow on muddied smooth stone floors. 
related to 0002555resolvedToady One Trees/shrubs growing underwater display wrong tile above 
related to 0004460new Underwater trees- not just for caverns anymore! 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0001053)
Brandon816 (reporter)
2010-04-05 05:18

Apparently, underground shrubs and saplings can also grow underground under a closed floodgate on top of muddy ground.
(0001056)
Khym Chanur (reporter)
2010-04-05 05:54

Ooops, any white double-"~" is an underwater tree, but it flickers on-and-off if the game is unpaused.
(0001058)
Nighteyes (reporter)
2010-04-05 06:05

I've seen this in a bush as well.
The mud on the pool/lake bottom makes sense to me, after all what do many pools/pond/rivers/lakes have as a base in real life, mud or sediments.
The trouble is letting plants grow in the mud, although depending on world gen, this may make sense, ie an underground river eroded a hole in to an underground cavern subsequently flooding a portion of the area and killing any trees in it. Similar to the dead trees ythat you see in dams. Lake Elidon Australia Victoria is an example of this sort of thing happening

Personally I think that the game needs a check that will stop plants growing in 2/3 level water and will destroy any wood that has been submerged long enough. the exception to this would be any swampy/ocean plants ie sea weed or rice
(0004875)
emhs (reporter)
2010-04-24 06:49

A thought, however. Submerged wood, in the "Real World", actually seasons and gets gorgeous. It doesn't decay underwater so much as just get richer in color.
(0004885)
derigo (reporter)
2010-04-24 08:09

This is an old 40d bug. You didn't see it much because in order to get tower-caps to grow in your fort you had to breach a sealed cavern on your map(trivial in df2010, just dig down a few levels). Also, tower-caps weren't even remotely a prolific as the underground plant life in this version seems to be.

If you're concerned about trees growing and blocking off your water channels (a legit concern), remember to pave your water tubes with block floors. That'll keep the trees from popping up and blocking water flow.
(0004911)
DoctorZuber (reporter)
2010-04-24 13:03
edited on: 2010-04-24 13:07

in 40d they wouldn't grow in 7/7 water, although they would remain if water later covered the tile. Now it seems that they are appearing at the bottom of underground lakes during worldgen, and possibly even growing underwater during play as well. That sounds like a bug to me.

(0006672)
RusAnon (reporter)
2010-05-13 20:07

>remember to pave your water tubes with block floors. That'll keep the trees from popping up and blocking water flow
That does not seem to work either.
Once floor tile got mud over it, saplings and trees will grow through constructed floor as well.
(0006673)
derigo (reporter)
2010-05-13 20:11

orly??

That ups the severity of this bug quite a bit!
(0006756)
immibis (reporter)
2010-05-16 00:51

you're thinking of roads, they block trees
(0009599)
goffrie (reporter)
2010-07-03 19:36

More strange behaviour: If a tree grows in water and then the pool changes in water level, the water on the tree's tile won't exchange with the surrounding tiles.
(0009626)
sinergistic (reporter)
2010-07-04 14:48

To add to the comment above:

Underwater trees that have fully grown (aka, not a sapling anymore) seem to inhibit flow on that tile. If the water level on that tile drops, it becomes stuck on the lowest thing it dropped to.

So, for example, you have an underground tree on a tile with 7/7 water.

Do [reason] (draining water for farm, pumping water elsewhere, channeling and making the underground lake bigger) the water level drops on that tile to 6/7. That tile is now stuck at 6/7 water. If, at a later date, it drops to 5/7, it becomes stuck at 5/7. I haven't drained a lake enough to see what happens when the water is completely/almost gone, but I imagine a tree will pop up.
(0009661)
Lord_Dakstar (reporter)
2010-07-05 16:13

The floodgate is particularly bad, as objects in the same square as a floodgate prevent a raised floodgate from acting as an obstacle to creatures or water. So you lower a floodgate, discover a shrub or sapling growing, and now you can not close the floodgate. Hope that wasn't a critical floodgate controlling access to anything important...

Note that full grown trees can be chopped down and living shrubs can be harvested. But dead shrubs and saplings, living or dead, mean broken floodgate forever. Any object on a floodgate prevents it from functioning correctly when raised until the object is somehow removed.
(0015739)
DoctorZuber (reporter)
2011-03-04 19:11

I've got several trees sitting at 1/7 water surrounded by 7/7 water tiles in a large underground lake.

This happened because I have been using this lake as a water source with a quick and easy drain using some hatches and a lever.

When the lake level temporarily dropped it revealed the submerged trees. When the drain was closed the water did not refill the tiles the trees are sitting on.
(0017047)
GreenSpinach (reporter)
2011-04-04 05:32

This also happens with soil instead of mud, and magma instead of water. Underground trees sprout in 7/7 magma, grow in the magma, and eventually block the magma by growing to mature size.
Frickin' MAGMA.
(0017058)
Quietust (reporter)
2011-04-04 08:04

GreenSpinach: by any chance was it a nether-cap?
(0017061)
hyndis (reporter)
2011-04-04 10:02

Its somewhat annoying. You can reproduce this very easily by building a pump on the edge of an underground lake and drain a portion of the lake. Not all of it, just a little bit. Once the water drops to a certain level, I think its maybe 3/7, even for a split second, a full tree instantly appears in the water.

It doesn't start growing, it just appears instantly. One frame there is no tree there at all. The next frame is a full grown tree.
(0019399)
doublestrafe (reporter)
2012-01-16 22:08

My favorite behavior now happens because I've been dumping aquifer water onto a huge underground lake that I also use occasionally to refill a reservoir. The lake has a bunch of underwater trees now that are at a permanent 6/7, but there are a bunch of 1/7s floating around on top from the aquifer drainage.

What happens when they meet? A floating 1/7 will try to drain into the 6/7 tree space, but it can't. So it sits there being 1/7 on top of 6/7 on top of a tree while the other 1/7s dance around it. I'm half tempted to drain the lake to see if it all stays balanced there.
(0031658)
ptb_ptb (reporter)
2015-01-03 03:59

You still find underwater plants / trees in caverns. But I haven't seen them actually grow - they were just there when I first found the cavern. Is this still present as an issue in DF 0.40.23?

- Issue History
Date Modified Username Field Change
2010-04-05 03:38 Khym Chanur New Issue
2010-04-05 05:18 Brandon816 Note Added: 0001053
2010-04-05 05:27 lughtaj Issue Monitored: lughtaj
2010-04-05 05:27 lughtaj Issue End Monitor: lughtaj
2010-04-05 05:54 Khym Chanur Note Added: 0001056
2010-04-05 06:05 Nighteyes Note Added: 0001058
2010-04-05 10:28 Qloos Tag Attached: water
2010-04-05 10:28 Qloos Tag Attached: trees
2010-04-16 19:18 Footkerchief Relationship added has duplicate 0001258
2010-04-18 11:48 Footkerchief Relationship added parent of 0000866
2010-04-18 11:48 Footkerchief Relationship added parent of 0001288
2010-04-19 09:52 Footkerchief Relationship deleted parent of 0001288
2010-04-21 08:47 Footkerchief Relationship added has duplicate 0001391
2010-04-21 08:47 Footkerchief Issue Monitored: Eric
2010-04-24 05:35 Eric Issue End Monitor: Eric
2010-04-24 06:49 emhs Note Added: 0004875
2010-04-24 08:09 derigo Note Added: 0004885
2010-04-24 13:03 DoctorZuber Note Added: 0004911
2010-04-24 13:07 DoctorZuber Note Edited: 0004911 View Revisions
2010-05-13 19:36 Logical2u Relationship added parent of 0001139
2010-05-13 20:07 RusAnon Note Added: 0006672
2010-05-13 20:11 derigo Note Added: 0006673
2010-05-16 00:51 immibis Note Added: 0006756
2010-05-21 11:12 Footkerchief Relationship added related to 0002013
2010-07-03 18:10 Footkerchief Relationship added related to 0002555
2010-07-03 19:36 goffrie Note Added: 0009599
2010-07-04 14:48 sinergistic Note Added: 0009626
2010-07-05 16:13 Lord_Dakstar Note Added: 0009661
2011-03-04 19:11 DoctorZuber Note Added: 0015739
2011-04-04 05:32 GreenSpinach Note Added: 0017047
2011-04-04 06:35 Footkerchief Relationship added related to 0001567
2011-04-04 08:04 Quietust Note Added: 0017058
2011-04-04 10:02 hyndis Note Added: 0017061
2011-04-07 06:16 Footkerchief Relationship added related to 0004460
2012-01-16 22:08 doublestrafe Note Added: 0019399
2014-01-26 09:19 Footkerchief Tag Attached: Fixed in 0.34.12?
2014-07-07 22:23 Footkerchief Tag Renamed Fixed in 0.34.12? => Fixed in 0.40.01?
2014-07-18 08:53 Footkerchief Relationship added has duplicate 0007443
2015-01-03 03:59 ptb_ptb Note Added: 0031658
2015-01-07 17:51 lethosor Assigned To => lethosor
2015-01-07 17:51 lethosor Status new => needs feedback
2017-05-17 14:52 lethosor Relationship replaced related to 0000866


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker